Clients Login
Search tips and advanced search
Lets Socialize
Hybrid Mindset on Twitter  Hybrid Mindset on LinkedIn  Hybrid Mindset on Facebook  Hybrid Mindset RSS Feed 
Want to be a guest blogger? Sign up and share your thoughts...
Blog Page Heading
Featured Blog

My PushButton Engine Experience Week 3...7

Serialization, Serialization...

Posted Date: 2010-08-24   Posted Time: 01:24:59
Print Blog PostPrint  Tweet Blog PostTweet This Comment On Blog PostComment 

Blog Posts

View All

How to get Weborb working with Flex 3.4 & Flex 4

Created: Sunday, January 10, 2010 @ 10:11 AM  

I was trying to move from Flex 3 to Flex 4 and when I tried to compile the source it threw an error "Illegal override of addAll in weborb.data.ActiveCollection", so I began browsing the flex yahoo group to see if there was a solution, and there is! Thanks Mark.
To get Flex 3.4 or higher working with weborb you need to download the newly built weborb.swc and replace the one that is in libs folder of your project. I've attached the swc to the bottom of this post. You also need to check the new "Use Flex 3 compatibility mode" in the project properties screen under the "Flex Compliler" section.



Also you may see a compile error that says no class defined for -services. This is referring to the -services command in the additional compiler arguments. If you look in your remote-config.xml you will see that the class specification at the top that looks like:

<?xml version="1.0" encoding="UTF-8"?>
<service id="remoting-service"   
    class=""
    messageTypes="flex.messaging.messages.RemotingMessage">

will be empty. So you need to add the class definition "flex.messaging.services.RemotingService" and that should solve that problem.



Good luck!

Weborb_flex4.swc


Categories
 Twitter Feed
@hybridmindset